package com.jxy.marketall.service;


import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.vo.CoinVo;
import com.jxy.marketall.vo.RequestVo;


/**
 * @Description 接口统一调用服务类
 * @Date 2022/5/20 11:40
 * @Author 杜懿
 */
public interface MarketallService {

    /***
     * 查询指标
     * @param requestVo
     * @return
     */
    public AjaxResult findResultByRequestVo(RequestVo requestVo);

    /***
     * 获取24小时市场币价
     * @param coinVo
     * @return
     */
    public AjaxResult findCoinMarketPrice(CoinVo coinVo);

    /**
     * 获取市价排行前一百的货币
     * @return
     */
    public AjaxResult findCoinMarketAll();

    public AjaxResult getNewDataList();

}
